<template>
  <div class="deal__card">
    <h1 class="deal__title">{{deal.dealTitle}}</h1>

    <DealStats
      :company="deal.cruiseCompany"
      :ship="deal.shipName"
      :date="deal.date"
      :duration="deal.nights"
    />

    <Itinerary :items="deal.itinerary"/>

    <div class="deal__price">
      Now from <span class="number">£{{deal.price}}</span>pp
    </div>

    <Description :items="deal.deescriptionPoints"/>

    <a :href="deal.detailsLink" class="deal__view-more">{{deal.detailsLinkName}}</a>

    <CustomButton :link="deal.quoteLink">Get A Free No Obligation Quote</CustomButton>

  </div>
</template>

<script>
import CustomButton  from '@/components/CustomButton.vue'
import Itinerary from '@/components/Itinerary.vue'
import Description from '@/components/Description.vue'
import DealStats from '@/components/DealStats.vue'

export default {
  name: 'Deal',
  components: {
    CustomButton,
    Itinerary,
    Description,
    DealStats
  },
  props: {
    deal: Object
  }
}
</script>

<style scoped lang="scss">
</style>
